/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 2.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* Add your custom styles here */
.elementor-hf-template-default.single.single-elementor-hf.postid-35 #page { background: #000; }

/* HOME PAGE */
#services-slider, #gallery-slider { position: unset !important; }
#services-slider .swiper-button-prev, #services-slider .swiper-button-next { bottom: 0; top: unset; background-color: #58585A; object-fit: contain; width: 42px; padding: 11px; border-radius: 100%; margin: auto; }
#services-slider .swiper-button-prev:hover, #services-slider .swiper-button-next:hover { background-color: #AAA; }
#services-slider .swiper-button-prev { content: url('https://beta12.technodreamcenter.com/premium-builder.com/wp-content/uploads/2026/06/serv-prev-arrow.png'); right: 70px !important; }
#services-slider .swiper-button-next { content: url('https://beta12.technodreamcenter.com/premium-builder.com/wp-content/uploads/2026/06/serv-next-arrow.png'); left: 70px !important; }

#gallery-slider .swiper-button-prev, #gallery-slider .swiper-button-next { width: 46px; height: 46px; object-fit: contain; padding: 6px; border-radius: 100%; background: rgba(0, 0, 0, .55); }
#gallery-slider .swiper-button-prev:hover, #gallery-slider .swiper-button-next:hover { background: rgba(0, 0, 0, .75); }
#gallery-slider .swiper-button-prev { content: url(https://beta12.technodreamcenter.com/premium-builder.com/wp-content/uploads/2026/06/gallery-prev.png); }
#gallery-slider .swiper-button-next { content: url(https://beta12.technodreamcenter.com/premium-builder.com/wp-content/uploads/2026/06/gallery-next.png); }

/* Contact Form */
.ctc-form form br, .ctc-form form .hide { display: none; }
.ctc-form form p { margin: 0; }
.ctc-form form .flex p:not(.bot p), .flex.bot { display: flex; column-gap: 10px; }
.ctc-form form input:not([type="checkbox"], [type="submit"], [type="file"]), .ctc-form form select, .ctc-form form textarea { font-family: 'Inter'; font-size: 16px; color: #000; background: #eee; border: 1px solid #D6D6D6; height: 60px; margin-bottom: 10px; border-radius: 0; -webkit-box-shadow: inset 2px 2px 4px 0px rgba(0,0,0,0.43); box-shadow: inset 2px 2px 4px 0px rgba(0,0,0,0.43); }
.ctc-form form textarea { height: 150px; margin-bottom: 20px; }
.ctc-form form input[type="submit"] { background: linear-gradient(180deg, #646473 0, #646473 0, #000 100%); padding: 20px 10px; width: 182px; border: none; border-radius: 0; font-size: 16px; color: #fff; font-family: "Cormorant Garamond", Sans-serif; text-transform: uppercase; font-weight: 900; }
.ctc-form form input[type="submit"]:hover { background: #26313f !important; }


/* CONTACT US PAGE */
.page-id-48 footer #ctc-wrapper, .page-id-48 footer #footer-spacer { display: none !important; }

/* TESTIMONIALS PAGE */
.wpmtst-testimonial-field.testimonial-field.testimonial-name { font-weight: 700; }

@media screen and (max-width: 1700px) {
	body { zoom: 90% !important; }
}

@media screen and (max-width: 1440px) {
	body { zoom: 80% !important; }
}

@media screen and (max-width: 1024px) {
	body { zoom: unset !important; }
}

@media screen and (max-width: 768px) {
    .ctc-form form .flex p:not(.bot p), .flex.bot { flex-wrap: wrap; }
	.flex.bot { justify-content: center; row-gap: 20px; }
}